#!/bin/sh

# zKVM - is simply script to access root directory or Your SD card, from all Java app.
#IT's use kvm patch by Chacha_Ivanov from Motofan.ru.
# Please don't modify code.

#umount kvm to prevent corrupt mounting
umount /usr/SYSjava/kvm
umount /usr/SYSjava/kvm
umount /usr/SYSjava/kvm


mypath=${0%/*}

$mypath/showRadio "zKVM" "by Zorge.R" "Open all FS in Java" "Open only SD in Java" "add FS to autorun" "add SD to autorun" "Remove from autorun" "About / Help"
ret=$?
[ $ret -eq 0 ] && exit

case $ret in
	1)
		mount -o bind $mypath/kvmFS  /usr/SYSjava/kvm
		$mypath/showNotify "Complete" "Now You can see FS folder in Java app" 1 5
		;;
	2)
		mount -o bind $mypath/kvmSD  /usr/SYSjava/kvm
		$mypath/showNotify "Complete" "Now You can see Your SD card in Java app" 1 5
		;;
	3)
		rm -f /ezxlocal/download/mystuff/unKnown/S01zkvm.txt
		rm -f /ezxlocal/download/mystuff/unKnown/kvmSD
		cp $mypath/kvmFS /ezxlocal/download/mystuff/unKnown/kvmFS
		cp $mypath/S01zkvmFS.txt /ezxlocal/download/mystuff/unKnown/S01zkvm.txt
		$mypath/showNotify "Complete" "Script is added to autorun" 1 5
		;;
	4)
		rm -f /ezxlocal/download/mystuff/unKnown/S01zkvm.txt
		rm -f /ezxlocal/download/mystuff/unKnown/kvmFS
		cp $mypath/kvmSD /ezxlocal/download/mystuff/unKnown/kvmSD
		cp $mypath/S01zkvmSD.txt /ezxlocal/download/mystuff/unKnown/S01zkvm.txt
		$mypath/showNotify "Complete" "Script is added to autorun" 1 5
		;;
	5)
		rm -f /ezxlocal/download/mystuff/unKnown/S01zkvm.txt
		rm -f /ezxlocal/download/mystuff/unKnown/kvmFS
		rm -f /ezxlocal/download/mystuff/unKnown/kvmSD
		$mypath/showNotify "Complete" "Script removed from autorun" 1 5
		;;
	6)
		$mypath/showQ "zKVM tool" "This simply script writed by Zorge.R, from www.motofan.ru. It's take you access to SD card, or all FS of your phone from all Java app and IT's use kvm patch by Chacha_Ivanov from Motofan.ru." 2
		;;
	*)
		;;
esac
